Bug 1303819 - Review Request: python-tinydb - A tiny, document oriented database
Review Request: python-tinydb - A tiny, document oriented database
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Denis Fateyev
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-02 01:01 EST by Sundeep Anand
Modified: 2016-02-26 21:07 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-21 11:27:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
denis: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Sundeep Anand 2016-02-02 01:01:51 EST
Spec URL: https://bitbucket.org/sundeep_co_in/python-pkgs/downloads/python-tinydb.spec
SRPM URL: https://bitbucket.org/sundeep_co_in/python-pkgs/downloads/python-tinydb-3.1.2-1.fc23.src.rpm
Description: TinyDB is a lightweight document oriented database.

It’s written in pure Python and has no external dependencies. The target are small apps that would be blown away by a SQL-DB or an external database server.

Fedora Account System Username: suanand
Comment 1 Upstream Release Monitoring 2016-02-02 01:09:07 EST
suanand's scratch build of python-tinydb-3.1.2-1.fc23.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=12782886
Comment 2 Denis Fateyev 2016-02-09 05:57:18 EST
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "MIT/X11 (BSD like)", "Unknown or generated". 21 files have
     unknown license. Detailed output of licensecheck in
     /home/mock/sandbox/review/1303819-python-tinydb/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf %{buildroot} present but not required
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 40960 bytes in 4 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[ ]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     python3-tinydb
Note: no isa requirements applicable here

[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python-tinydb-3.1.2-1.fc23.noarch.rpm
          python3-tinydb-3.1.2-1.fc23.noarch.rpm
          python-tinydb-3.1.2-1.fc23.src.rpm
3 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
2 packages and 0 specfiles checked; 0 errors, 0 warnings.



Requires
--------
python-tinydb (rpmlib, GLIBC filtered):
    python(abi)

python3-tinydb (rpmlib, GLIBC filtered):
    python(abi)



Provides
--------
python-tinydb:
    python-tinydb

python3-tinydb:
    python3-tinydb



Source checksums
----------------
https://github.com/msiemens/tinydb/archive/v3.1.2.tar.gz :
  CHECKSUM(SHA256) this package     : 6fa5c9f26f9d3765d96fdebc241b482769005cf62ec81243f8e001ab6f92faa7
  CHECKSUM(SHA256) upstream package : 6fa5c9f26f9d3765d96fdebc241b482769005cf62ec81243f8e001ab6f92faa7


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -b 1303819
Buildroot used: fedora-23-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6


Remarks:
-------
1) Cosmetic change: please use one BR per line, e.g.:
    BuildRequires: python2-devel
    BuildRequires: python3-devel
although it's not forbidden, but makes analyzing a bit harder;
2) Should be `%files -n python2-%{pypi_name}` for new py2 package;
3) 'docs/' has some content worth to include into '%doc'.
Comment 4 Upstream Release Monitoring 2016-02-09 06:42:33 EST
suanand's scratch build of python-tinydb-3.1.2-2.fc23.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=12915456
Comment 5 Denis Fateyev 2016-02-09 07:17:00 EST
It's OK to have py2 and py3 BRs on the top, so you can place 
    BuildRequires: python2-devel
    BuildRequires: python3-devel
together, not putting py3 BRs into py3 package. Althought is's matter of taste.

As for changelog entries, better to put an empty line between items, otherwise you will get ragged changelog during the next releng mass rebuild - they use 3-line format. You can see the difference like that:
  $ rpmdev-bumpspec -V python-tinydb.spec -c "new rebuild"

You may also consider providing the package in epel7, but it's up to you.

Otherwise the package is APPROVED.
Comment 6 Sundeep Anand 2016-02-09 07:38:47 EST
Thanks Denis.
Updated the SPEC: https://bitbucket.org/sundeep_co_in/python-pkgs/downloads/python-tinydb.spec
Comment 7 Denis Fateyev 2016-02-09 07:50:31 EST
Looks better ;-) The package has been approved anyway, so you can proceed with requesting branches.
Comment 8 Gwyn Ciesla 2016-02-09 12:27:45 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/python-tinydb
Comment 9 Denis Fateyev 2016-02-09 12:51:21 EST
Please note, that the spec above is suitable for Fedora only (I didn't know whether you were planning to support it for epel7 or not).

In case of epel7, if you want to use the same spec across all branches without modifications, some small changes are required. The whole idea is described here:
https://fedoraproject.org/wiki/User:Bkabrda/EPEL7_Python3

And if you want a practical example, you could look at this: https://bugzilla.redhat.com/show_bug.cgi?id=1290393#c11
Namely, the patch in that comment which adds epel7 compatibility to the Fedora spec.
Comment 10 Sundeep Anand 2016-02-10 05:37:05 EST
Thanks for the pointers. SPEC and package updated, links:

SPEC: https://bitbucket.org/sundeep_co_in/python-pkgs/downloads/python-tinydb.spec
SRPM: https://bitbucket.org/sundeep_co_in/python-pkgs/downloads/python-tinydb-3.1.2-3.fc23.src.rpm

Koji scratch builds:
http://koji.fedoraproject.org/koji/taskinfo?taskID=12925188 (rawhide)
http://koji.fedoraproject.org/koji/taskinfo?taskID=12925185 (epel7)

if they look good, will push them to branches.
Comment 11 Denis Fateyev 2016-02-10 06:16:27 EST
Looks good. Only small corrections:
- BRs `python2-devel` and `pytest` can be also wrapped into `0%{?with_python2}` conditions (there's no py2 devel packages requirement if no py2 build provided);
- The same idea to `python2-%{pypi_name}` package declaration (it won't be built anyway). But this is optional since won't affect anything;
- `rm -fr %{buildroot}%{python2_sitelib}/tests` should go into the conditions one line above.
Comment 13 Denis Fateyev 2016-02-10 07:48:41 EST
Looks fine now ;-)
Comment 14 Fedora Update System 2016-02-10 08:50:40 EST
python-tinydb-3.1.2-3.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-f0ffd18314
Comment 15 Fedora Update System 2016-02-10 08:57:36 EST
python-tinydb-3.1.2-3.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-afeb226343
Comment 16 Fedora Update System 2016-02-11 09:25:01 EST
python-tinydb-3.1.2-3.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-afeb226343
Comment 17 Fedora Update System 2016-02-11 10:21:45 EST
python-tinydb-3.1.2-3.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-f0ffd18314
Comment 18 Fedora Update System 2016-02-21 11:27:10 EST
python-tinydb-3.1.2-3.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 19 Fedora Update System 2016-02-26 21:07:44 EST
python-tinydb-3.1.2-3.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.